Get Latest Bulletin
curl --request GET \
--url https://api.thefaithapp.com/v1/bulletins/latest \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/bulletins/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/bulletins/latest"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"bulletin": {
"id": 9,
"title": "22 June 2025",
"type": "native",
"content": "<h3 data-start=\"184\" data-end=\"219\"><strong data-start=\"188\" data-end=\"219\">🕊️ Sunday Worship Bulletin</strong></h3>",
"pdf_url": null,
"sections": [
{
"type": "text",
"title": "📖 Theme of the Day:",
"content": "\"Walking by Faith\"\n2 Corinthians 5:7 – \"For we walk by faith, not by sight.\""
},
{
"type": "link",
"title": "🙏 Order of Service",
"content": "https://www.youtube.com/watch?v=dMgr7nZ-eMA"
},
{
"type": "image",
"title": "Gallery",
"content": "https://d2c58p2vdu8kb2.cloudfront.net/bulletins/sections/dzfRCxQ0Sinp9qkViUBrUs02EOWVMNwJfyFSvTR2.png"
}
],
"published_at": "2025-06-21 15:04:09",
"formatted_date": "June 21, 2025"
}
}{
"error_message": "Unauthorized"
}{
"error": "No bulletins found"
}Notifications & Bulletins
Get Latest Bulletin
Retrieve the most recent bulletin for the authenticated user’s church. Returns the latest published bulletin with all its content and sections.
GET
/
v1
/
bulletins
/
latest
Get Latest Bulletin
curl --request GET \
--url https://api.thefaithapp.com/v1/bulletins/latest \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/bulletins/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/bulletins/latest"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"bulletin": {
"id": 9,
"title": "22 June 2025",
"type": "native",
"content": "<h3 data-start=\"184\" data-end=\"219\"><strong data-start=\"188\" data-end=\"219\">🕊️ Sunday Worship Bulletin</strong></h3>",
"pdf_url": null,
"sections": [
{
"type": "text",
"title": "📖 Theme of the Day:",
"content": "\"Walking by Faith\"\n2 Corinthians 5:7 – \"For we walk by faith, not by sight.\""
},
{
"type": "link",
"title": "🙏 Order of Service",
"content": "https://www.youtube.com/watch?v=dMgr7nZ-eMA"
},
{
"type": "image",
"title": "Gallery",
"content": "https://d2c58p2vdu8kb2.cloudfront.net/bulletins/sections/dzfRCxQ0Sinp9qkViUBrUs02EOWVMNwJfyFSvTR2.png"
}
],
"published_at": "2025-06-21 15:04:09",
"formatted_date": "June 21, 2025"
}
}{
"error_message": "Unauthorized"
}{
"error": "No bulletins found"
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Response
Latest bulletin information.
The latest bulletin object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I